#ifndef _DECODER_H_
#define _DECODER_H_

#include "../arib25v023/arib25/src/arib_std_b25.h"
#include "../arib25v023/arib25/src/b_cas_card.h"

typedef struct decoder
{
    ARIB_STD_B25 *b25;
    B_CAS_CARD *bcas;
} decoder;

/* prototypes */
decoder *b25_startup(void);
int b25_shutdown(decoder *dec);
int b25_decode(decoder *dec,
               ARIB_STD_B25_BUFFER *sbuf,
               ARIB_STD_B25_BUFFER *dbuf);
int b25_finish(decoder *dec,
               ARIB_STD_B25_BUFFER *sbuf,
               ARIB_STD_B25_BUFFER *dbuf);

#endif
